org.springframework.data.convert

## Class Jsr310Converters

- java.lang.Object
- - org.springframework.data.convert.Jsr310Converters

    public abstract class Jsr310Converters
    extends Object

Helper class to register JSR-310 specific `Converter` implementations in case the we're running on Java 8.

Author:
  Oliver Gierke, Barak Schoster, Christoph Strobl, Jens Schauder, Mark Paluch

### Nested Class Summary

Nested Classes
`static class` `Jsr310Converters.DateToInstantConverter`
`static class` `Jsr310Converters.DateToLocalDateConverter`
`static class` `Jsr310Converters.DateToLocalDateTimeConverter`
`static class` `Jsr310Converters.DateToLocalTimeConverter`
`static class` `Jsr310Converters.DurationToStringConverter`
`static class` `Jsr310Converters.InstantToDateConverter`
`static class` `Jsr310Converters.InstantToLocalDateTimeConverter`
`static class` `Jsr310Converters.LocalDateTimeToDateConverter`
`static class` `Jsr310Converters.LocalDateTimeToInstantConverter`
`static class` `Jsr310Converters.LocalDateToDateConverter`
`static class` `Jsr310Converters.LocalTimeToDateConverter`
`static class` `Jsr310Converters.PeriodToStringConverter`
`static class` `Jsr310Converters.StringToDurationConverter`
`static class` `Jsr310Converters.StringToInstantConverter`
`static class` `Jsr310Converters.StringToLocalDateConverter`
`static class` `Jsr310Converters.StringToLocalDateTimeConverter`
`static class` `Jsr310Converters.StringToPeriodConverter`
`static class` `Jsr310Converters.StringToZoneIdConverter`
`static class` `Jsr310Converters.ZoneIdToStringConverter`

### Constructor Summary

Constructors
Constructor and Description
`Jsr310Converters()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Collection<Converter<?,?>>` `getConvertersToRegister()` Returns the converters to be registered.
`static boolean` `supports(Class<?> type)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Jsr310Converters

    public Jsr310Converters()

### Method Detail

#### getConvertersToRegister

    public static Collection<Converter<?,?>> getConvertersToRegister()

Returns the converters to be registered. Will only return converters in case we're running on Java 8.

Returns:

#### supports

    public static boolean supports(Class<?> type)